---
# file: roles/minio/defaults/main.yml

minio_version: "latest"
minio_update_now: false
minio_haproxy: true

minio_restart_on_auth_type_change: false

haproxy_frontend_list:
  - name: "minio"
    mode: "http"
    use_backend: "minio"
    bind_list:
      - ":9000,:::9000 v6only ssl crt /usr/local/etc/tls/haproxy alpn h2,http/1.1"

haproxy_frontend:
  default_backend: "minio-console"

haproxy_backend:
  - name: "minio-console"
    server:
      - name: "minio-console"
        fqdn: "127.0.0.1"
        port: "9001"
  - name: "minio"
    server:
      - name: "minio"
        fqdn: "127.0.0.1"
        port: "9002"

haproxy_https_monitoring:
  - "{{ minio_fqdn }}"
